XSDGenerator (Media Authoring with Java API)
Date: 2016-02-05

tv.amwa.maj.io.xml

## Class XSDGenerator

- java.lang.Object
- - tv.amwa.maj.io.xml.XSDGenerator

- All Implemented Interfaces:
    CommonConstants

      public class XSDGenerator
      extends Object
      implements CommonConstants

  Generate an XML schema for validating a Reg-XML document. The schema may be generated just for the baseline model or for extension data models.

  See Also:
    `MetaDictionaryGenerator`

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `XLINK_NAMESPACE`
    `static String` | `XLINK_PREFIX`
    `static String` | `XSD_NAMESPACE`
    `static String` | `XSD_PREFIX`

    - ### Fields inherited from interface tv.amwa.maj.constant.CommonConstants

      `AAF_METADICT_NAMESPACE, AAF_METADICT_PREFIX, AAF_XML_NAMESPACE, AAF_XML_PREFIX, ApplicationPluginObjectID, ApplicationPluginsID, MAX_NUM_RGBA_COMPS, MemberOfID, ObjectClassID, ParentClassID, PropertiesID, XMLClassIDAsAttributeName`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `XSDGenerator()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static String` | `generateBaselineXSDAsAString()`
    `static DocumentFragment` | `generateBaslineXSD()`
    `static DocumentFragment` | `generateXSD(Collection<ClassDefinition> classes, String targetNamespace, String targetPrefix, String rootElement, String rootClass)`
    `static String` | `generateXSDAsAString(Collection<ClassDefinition> classes, String targetNamespace, String targetPrefix, String rootElement, String rootClass)`
    `static void` | `main(String[] args)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### XSD_NAMESPACE

          public static final String XSD_NAMESPACE

      See Also:
        Constant Field Values

    - #### XSD_PREFIX

          public static final String XSD_PREFIX

      See Also:
        Constant Field Values

    - #### XLINK_NAMESPACE

          public static final String XLINK_NAMESPACE

      See Also:
        Constant Field Values

    - #### XLINK_PREFIX

          public static final String XLINK_PREFIX

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### XSDGenerator

          public XSDGenerator()

  - ### Method Detail

    - #### generateBaslineXSD

          public static final DocumentFragment generateBaslineXSD()

    - #### generateBaselineXSDAsAString

          public static final String generateBaselineXSDAsAString()

    - #### generateXSD

          public static final DocumentFragment generateXSD(Collection<ClassDefinition> classes,
                                                           String targetNamespace,
                                                           String targetPrefix,
                                                           String rootElement,
                                                           String rootClass)
                                                    throws NullPointerException

      Throws:
        `NullPointerException`

    - #### generateXSDAsAString

          public static final String generateXSDAsAString(Collection<ClassDefinition> classes,
                                                          String targetNamespace,
                                                          String targetPrefix,
                                                          String rootElement,
                                                          String rootClass)
                                                   throws NullPointerException

      Throws:
        `NullPointerException`

    - #### main

          public static final void main(String[] args)

(c)2007-2016 Richard Cartwright, all rights reserved. Licensed under Apache 2 license and subject to the AMWA IPR policy.